- Home
- API Enriched
- Sites
- config
- Replace Site.
Replace Site.
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/config/namespaces/example/sites/example';const options = { method: 'PUT', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"metadata":{"annotations":{},"description":"example","disable":true,"labels":{},"name":"example","namespace":"example"},"spec":{"address":"example","bgp_peer_address":"example","bgp_router_id":"example","coordinates":{"latitude":1,"longitude":1},"default_underlay_network":{"site_local_inside":{},"site_local_outside":{}},"desired_pool_count":1,"inside_nameserver":"example","inside_vip":"example","kubernetes_upgrade_drain":{"disable_upgrade_drain":{},"enable_upgrade_drain":{"disable_vega_upgrade_mode":{},"drain_max_unavailable_node_count":1,"drain_node_timeout":1,"enable_vega_upgrade_mode":{}}},"operating_system_version":"example","outside_nameserver":"example","outside_vip":"example","region":"example","site_to_site_network_type":"VIRTUAL_NETWORK_SITE_LOCAL","site_to_site_tunnel_ip":"example","tunnel_dead_timeout":1,"tunnel_type":"SITE_TO_SITE_TUNNEL_IPSEC_OR_SSL","vip_vrrp_mode":"VIP_VRRP_INVALID","volterra_software_overide":"SITE_SOFTWARE_OVERRIDE_SITE","volterra_software_version":"example"}}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/config/namespaces/example/sites/example \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "metadata": { "annotations": {}, "description": "example", "disable": true, "labels": {}, "name": "example", "namespace": "example" }, "spec": { "address": "example", "bgp_peer_address": "example", "bgp_router_id": "example", "coordinates": { "latitude": 1, "longitude": 1 }, "default_underlay_network": { "site_local_inside": {}, "site_local_outside": {} }, "desired_pool_count": 1, "inside_nameserver": "example", "inside_vip": "example", "kubernetes_upgrade_drain": { "disable_upgrade_drain": {}, "enable_upgrade_drain": { "disable_vega_upgrade_mode": {}, "drain_max_unavailable_node_count": 1, "drain_node_timeout": 1, "enable_vega_upgrade_mode": {} } }, "operating_system_version": "example", "outside_nameserver": "example", "outside_vip": "example", "region": "example", "site_to_site_network_type": "VIRTUAL_NETWORK_SITE_LOCAL", "site_to_site_tunnel_ip": "example", "tunnel_dead_timeout": 1, "tunnel_type": "SITE_TO_SITE_TUNNEL_IPSEC_OR_SSL", "vip_vrrp_mode": "VIP_VRRP_INVALID", "volterra_software_overide": "SITE_SOFTWARE_OVERRIDE_SITE", "volterra_software_version": "example" } }'Replace Site will replace address, coordinates of site.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Namespace This defines the workspace within which each the configuration object is to be created. Must be a DNS_LABEL format. For a namespace object itself, namespace value will be ""
Name The configuration object to be replaced will be looked up by name.
Request Bodyrequired
Section titled “Request Bodyrequired”This is the input message of the ‘Replace’ RPC.
object
object
Annotations is an unstructured key value map stored with a resource that may be set by external tools to store and retrieve arbitrary metadata. They are not queryable and should be preserved when modifying objects.
object
Human readable description for the object.
A value of true will administratively disable the object.
Map of string keys and values that can be used to organize and categorize (scope and select) objects as chosen by the user. Values specified here will be used by selector expression.
object
This is the name of configuration object. It has to be unique within the namespace. It can only be specified during create API and cannot be changed during replace API. The value of name has to follow DNS-1035 format. Required: YES.
This defines the workspace within which each the configuration object is to be created. Must be a DNS_LABEL format. For a namespace object itself, namespace value will be ""
object
Site’s geographical address that can be used to determine its latitude and longitude.
Optional BGP peer address that can be used as parameter for BGP configuration when BGP is configured to fetch BGP peer address from site Object. This can be used to change peer addres per site in fleet.
Optional BGP router ID that can be used as parameter for BGP configuration when BGP is configurred to fetch BGP router ID from site object. This can be used to change router ID per site in a fleet.
object
Latitude of the site location.
Longitude of site location.
object
object
object
Desired pool count represent desired number of worker(non master) nodes for manual scaling of public cloud(AWS, GCP, Azure) sites. The desired count must be less than or equal to the maximum size of the scaling group for a given public cloud. One may also have to increase maximum scaling group size to effectively increase desired pool count.
Optional DNS server IP to be used for name resolution in inside network.
Optional Virtual IP to be used as automatic VIP for site local inside network. See documentation for “VIP” in advertise policy to see when Inside VIP is used. When configured, this is used as VIP (depending on advertise policy configuration). When not configured, site local inside interface IP will be used as VIP.
object
object
object
object
Exclusive with []
Seconds to wait before initiating upgrade on the next set of nodes. Setting it to 0 will wait indefinitely for all services on nodes to be upgraded gracefully before proceeding to the next set of nodes. (Warning: It may block upgrade if services on a node cannot be gracefully upgraded. It is recommended to use the default value).
Required: YES.
object
Desired Operating System version for this site.
Optional DNS server IP to be used for name resolution in outside network.
Optional Virtual IP to be used as automatic VIP for site local outside network. See documentation for “VIP” in advertise policy to see when Outside VIP is used. When configured, this is used as VIP (depending on advertise policy configuration). When not configured, site local interface IP will be used as VIP.
Cloud Region. A region is a set of datacenters deployed within a latency-defined perimeter and connected through a dedicated regional low-latency network.
Optionsl, VIP in the site_to_site_network_type configured above used for terminating IPsec/SSL tunnels created with SiteMeshGroup.
Time interval, in millisec, within which any IPsec / SSL connection from the site going down is detected. When not set (== 0), a default value of 10000 msec will be used.
Desired F5XC software version for this site, a string matching released set of software components.
Responses
Section titled “Responses”A successful response.
object
Examplegenerated
{}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example